# List amendments Lists amendments. You can use the query parameters to filter, expand, and sort the returned results. Endpoint: GET /object-query/amendments Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Idempotency-Key` (string) Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. With this header specified, the Zuora server can identify subsequent retries of the same request using this value, which prevents the same operation from being performed multiple times by accident. - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Query parameters: - `pageSize` (integer) The maximum number of results to return in a single page. If the specified pageSize is less than 1 or greater than 99, Zuora will return a 400 error. - `cursor` (string) A cursor for use in pagination. A cursor defines the starting place in a list. For instance, if you make a list request and receive 100 objects, ending with next_page=W3sib3JkZXJ=, your subsequent call can include cursor=W3sib3JkZXJ= in order to fetch the next page of the list. - `sort[]` (array) A case-insensitive query parameter that specifies the sort order of the list, which can be either ascending (e.g. accountnumber.ASC) or descending (e.g. accountnumber.DESC). You cannot sort on properties in arrays. If the array-type properties are specified for the sort[] parameter, they are ignored. Supported sortable fields: - id - code - effectivedate - effectivepolicy - name - newrateplanid - removedrateplanid - status - subscriptionid - type - subtype - updateddate - `expand[]` (array) Allows you to expand responses by including related object information in a single call. The Amendment object does not support expanding any related objects. - `filter[]` (array) A case-insensitive filter on the list. Supported filterable fields: - id - code - effectivedate - effectivepolicy - name - newrateplanid - removedrateplanid - status - subscriptionid - type - subtype - updateddate - {indexedcustomfield}: Use the format like customField__c to filter on custom fields. - `fields[]` (array) A case-insensitive query parameter that allows you to specify which fields are returned in the response. Example: "id,createddate" - `includeNullFields` (boolean) Specifies whether to include fields with the null value in the response. - If set to true, all fields will be returned in the response, including those with the null value. - If set to false, only fields with non-null values will be returned. ## Response 200 fields (application/json): - `nextPage` (string,null) A string that can be used as the cursor value to retrieve the next page of the response if it exists; otherwise absent. - `data` (array) - `data.id` (string) The unique identifier of the amendment. - `data.createdById` (string) The unique identifier of the user who created the amendment. - `data.createdDate` (string) The time that the amendment gets created in the system, in the YYYY-MM-DD HH:MM:SS format. - `data.updatedById` (string) The unique identifier of the user who last updated the amendment. - `data.updatedDate` (string) The time that the amendment gets updated in the system, in the YYYY-MM-DD HH:MM:SS format. - `data.autoRenew` (boolean) Indicates whether the amendment is automatically renewed. - `data.code` (string) The amendment code. - `data.contractEffectiveDate` (string) The date when the amendment becomes effective for billing purposes, as yyyy-mm-dd. - `data.currentTerm` (integer) The length of the period for the current subscription term. - `data.currentTermPeriodType` (string) The period type for the current subscription term. Enum: "Month", "Year", "Day", "Week" - `data.customerAcceptanceDate` (string) The date when the customer accepts the amendment changes to the subscription, as yyyy-mm-dd. - `data.description` (string) Description of the amendment. - `data.effectiveDate` (string) The date when the amendment changes take effective. - `data.effectivePolicy` (string) Effective Policy for the subscription. The value depends on the following conditions: * If the rate plan change (from old to new) is an upgrade, the effective policy is EffectiveImmediately by default. * If the rate plan change (from old to new) is a downgrade, the effective policy is EffectiveEndOfBillingPeriod by default. * Otherwise, the effective policy is SpecificDate by default. Note: This feature is in the Early Adopter phase. We are actively soliciting feedback from a small set of early adopters before releasing it as generally available. If you want to join this early adopter program, submit a request at [Zuora Global Support](http://support.zuora.com/). Enum: "EffectiveImmediately", "EffectiveEndOfBillingPeriod", "SpecificDate" - `data.name` (string) The name of the amendment. - `data.newRatePlanId` (string) The ID of the rate plan charge on which amendment is made. Only the Add or Update amendment returns a new rate plan ID. - `data.removedRatePlanId` (string) The ID of the rate plan charge that is removed from the subscription. Only the Remove Product amendment returns a removed rate plan ID. - `data.renewalSetting` (string) Specifies whether a termed subscription will remain termed or change to evergreen when it is renewed. Enum: "RENEW_WITH_SPECIFIC_TERM", "RENEW_TO_EVERGREEN" - `data.renewalTerm` (integer) The term of renewal for the amended subscription. - `data.renewalTermPeriodType` (string) The period type for the subscription renewal term. Enum: "Month", "Year", "Day", "Week" - `data.resumeDate` (string) The date when the subscription resumption takes effect, as yyyy-mm-dd. Note: This feature is in Limited Availability. If you wish to have access to the feature, submit a request at [Zuora Global Support](http://support.zuora.com/). - `data.serviceActivationDate` (string) The date when service is activated, as yyyy-mm-dd. - `data.specificUpdateDate` (string) The date when the Update Product amendment takes effect. Only for the Update Product amendments if there is already a future-dated Update Product amendment on the subscription. - `data.status` (string) The status of the amendment. Enum: "Draft", "Pending Activation", "Pending Acceptance", "Completed" - `data.subscriptionId` (string) The ID of the subscription based on which the amendment is created. - `data.suspendDate` (string) The date when the subscription suspension takes effect, as yyyy-mm-dd. Note: This feature is in Limited Availability. If you wish to have access to the feature, submit a request at [Zuora Global Support](http://support.zuora.com/). - `data.termStartDate` (string) The date when the new terms and conditions take effect. - `data.termType` (string) Indicates if the subscription is termed or evergreen. Enum: "TERMED", "EVERGREEN" - `data.type` (string) Type of the amendment. Enum: "Cancellation", "NewProduct", "OwnerTransfer", "RemoveProduct", "Renewal", "UpdateProduct", "TermsAndConditions", "ChangePlan", "Composite" - `data.subType` (string) The sub type for the change plan order action. If this field was not set by user, the field is automatically generated by the system according to the following rules: When the old and new rate plans are within the same Grading catalog group: * If the grade of new plan is greater than that of the old plan, this is an "Upgrade". * If the grade of new plan is less than that of the old plan, this is a "Downgrade". * If the grade of new plan equals that of the old plan, this is a "Crossgrade". When the old and new rate plans are not in the same Grading catalog group, or either has no group, this is "PlanChanged". Enum: "Upgrade", "Downgrade", "Crossgrade", "PlanChanged" - `data.bookingDate` (string) ## Response 500 fields (application/json): - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (integer) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) The unique identifier of the request. ## Response 4XX fields (application/json): - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (integer) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) The unique identifier of the request.